const express = require("express");
const router = express.Router();
const {
  getSafetyTools,
  createSafetyTool,
  getSafetyTool,
  updateSafetyTool,
} = require("../controllers/safety-tools");
const authMiddleware = require("../middleware/authMiddleware");

router.use(authMiddleware);

router.get("/", getSafetyTools);

router.post("/", createSafetyTool);

router.patch("/", updateSafetyTool);

router.get("/:id", getSafetyTool);

module.exports = router;
